<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class addons_model extends CI_Model {
	
	function __construct()
	{
        parent::__construct();
//        $this->load->library(OTBASE_PATH.'OT_App');
//        $this->load->library(OTBASE_PATH.'OT_User');
//        $this->load->library('form_validation');
//
//		$this->load->library('entity_accounts_table');
//		$this->load->library('Auth');
//		$this->cur_time = $this->auth->get_timezone_date();
//		$this->error = '';
	}
	
	public function get_items($app_id=0, $event = false) {
		$result = array();

		$this->db->select('ap.*, ape.entity_id, ape.auth_key_value, ape.config_value, ape.server_name,ape.is_enabled, ape.active_events');
		$this->db->from('apps as ap');
		$this->db->join('apps_entity as ape','ap.app_id = ape.app_id and ape.entity_id='.$this->ot_app->get('entity_id'), 'left');
		$where = array('ap.is_active' => 1);
		if ($app_id) {
			$where = array('ap.app_id' => $app_id);
		}
		$this->db->where($where);

		$query = $this->db->get();
		$result['items'] = $query->result_array();
		
		if ($result['items'] && $event) {
			$this->db->select('event_code, event_name');
			$this->db->from('apps_webhooks');
			if ($app_id) 
				$this->db->where('app_id', $app_id);
			$query = $this->db->get();

			$result['events'] = $query->result_array();
		}
		return $result;
	}
	
	public function enable($data) {
		$data['entity_id'] 		= $this->ot_app->get('entity_id');
		
		$this->db->where($data);
		$this->db->update('apps_entity',array('is_enabled' =>1));
		if (!$this->db->affected_rows())
		{
			$data['is_enabled']	= 1;
			$this->db->insert('apps_entity', $data);
			return $this->db->affected_rows()?true:false;
		}		
		return true;	
	}
	
	public function disable($data) {
		$data['entity_id'] 		= $this->ot_app->get('entity_id');
		$this->db->where($data);
		$this->db->update('apps_entity',array('is_enabled' =>0));
	
		return $this->db->affected_rows()?true:false;
	}

	public function save($data)
	{
		if (empty($data['app_id']))
			return false;

		$where	= array('entity_id' => $this->ot_app->get('entity_id'), 'app_id' => $data['app_id'], 'is_enabled' =>1);
		$this->db->where($where);
		$this->db->update('apps_entity',$data);

		return $this->db->affected_rows()?true:false;
	}
}
