<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	set_cache_header();
?>
<div id="team-container">
	<div class="page-header-bar">
		<div id="alert_message" class="ac col-md-5 fix-it"></div>
		<span class="title"><?php echo lang('TIME_SHEET_MY_TEAM'); ?></span>
		<div class="col-xs-6 col-sm-4 btn-group btn-toggle" style="margin-top:9px;z-index:10;"> 
			<button class="btn btn-sm " data-bind="click:swap_view(0), css:{'btn-primary active':view()==0, 'btn-default':view()!=0}"><?php echo lang('DAY'); ?></button>
			<button class="btn btn-sm " data-bind="click:swap_view(1), css:{'btn-primary active':view()==1, 'btn-default':view()!=1}"><?php echo lang('WEEK'); ?></button>
			<button class="btn btn-sm " data-bind="click:swap_view(2), css:{'btn-primary active':view()==2, 'btn-default':view()!=2}"><?php echo lang('MONTH'); ?></button>
		</div>
		<ul class="btns list-inline">
			<li>
				<a href="javascript:;" data-bind="click:Otime.Menu.loadURL('timesheet', true)" title="<?php echo lang('MY_TIMESHEET'); ?>">
					<i class="icon-calendar icon-metro img-circle"></i>
				</a>
				<a href="javascript:;" data-bind="click:Otime.Menu.loadURL('timesheet/approve', true)" title="<?php echo lang('APPROVE'); ?>">
					<i class="icon-ok icon-metro img-circle"></i>
				</a>
				<a href="javascript:;" class="selected" title="<?php echo lang('MY_TEAM'); ?>">
					<i class="icon-group icon-metro img-circle"></i>
				</a>
			</li>
		</ul>
	</div>
	<div id="list-container" class="cutter-top pr nm">
		<div class="container npr">
			<div class="pr pull-left">
				<!-- ko if:(view()==""||view()==0) -->
				<h4 data-bind="date:{date:date}" style="padding:4px 6px;" class="pull-left nm"></h4>
				<input type="text" data-bind="value:date, datepicker:{autoclose:true}" class="input-sm dtpicker npl npr cp">
				<!-- /ko -->
				<!-- ko if:view()==1 -->
				<h4 data-bind="shortdate:{from:from_date, to:to_date}" style="padding:4px 6px;" class="pull-left nm"></h4>
				<input type="text" data-bind="value:date, datepicker:{autoclose:true}" class="input-sm dtpicker npl npr cp">
				<!-- /ko -->
				<!-- ko if:view()==2 -->
				<h4 data-bind="date:{date:date, format:'MMM, YYYY'}" style="padding:4px 6px;" class="pull-left nm"></h4>
				<input type="text" data-bind="value:date, datepicker:{autoclose:true, minViewMode:1}" class="input-sm dtpicker npl npr cp">
				<!-- /ko -->
			</div>
			<div class="pull-left">
				<button type="button" class="btn no-bg nb icon-chevron-up split up np" data-bind="click:day_change('+')"></button>
				<button type="button" class="btn no-bg nb icon-chevron-down split np" data-bind="click:day_change('-')"></button>
			</div>
			<div class="col-md-6 pull-right row npr filter">
				<div class="col-md-6 form-group" data-bind="visible:Object.values(projects()).length>0">
					<select class="select filters form-control" data-bind="options:Object.values(projects()), optionsText:'project_name', optionsValue:'project_id', selectedOptions:sel_project, chosen:true" multiple="multiple" style="margin-right:82px;"></select>
				</div>
				<div class="pull-right col-md-6" data-bind="visible:users().length>0">
					<select class="form-control select filters" multiple="multiple"  data-bind="options:users, optionsText:'user_name', optionsValue:'user_id', selectedOptions:sel_user, chosen:{imgSelect:true}" style="margin-right:10px;">
					</select>
				</div>
			</div>
		</div>
		<div data-bind="visible:isNoData" style="display:none;" class="text-center cutter-top">
			<span class="well" style="position: absolute; top: 165px;"><?php echo lang("NO_DATA_FOUND"); ?></span>
		</div>
		<div data-bind="template:{name:tmplName()}"></div>
		<!-- ko if:isRightPane -->
		<div data-bind="with:task_detail"><?php
			// $this->load->view('tasks/right_pane_tmpl', array('module'=>'TS', 'task_priority'	=> $this->config->config['task_priority']));
			$this->load->view('tasks/mytasks_common', array('task_priority'	=> $this->config->config['task_priority'], 'module'=>'TS'));
		?></div>
		<!-- /ko -->
		<div data-bind="with:tsDetails" id="popover" class="popover pa">
			<div class="arrow"></div>
			<h3 class="popover-title" style="">
				<img src="" data-bind="img:item.user_image, attr:{title:item.user_name}" class="img32x32" /> 
				<span data-bind="text:item.user_name"></span>
				<div class="pull-right">
					<span data-bind="click:$parent.close" class="icon-remove cp">&nbsp;</span>
				</div>
			</h3>
			<div class="popover-content fw">
				<table class="table table-condensed pull-left time-edit-table nmb">
					<tbody data-bind="foreach:list">
						<tr class="" data-bind="hidden:is_progress">
							<td class="text-center nb" data-bind="text:from_time">
							</td>
							<td style="width:20px;" class="text-center nb npl npr"><?php echo lang("TO"); ?></td>
							<td class="text-center nb" data-bind="text:to_time">
							</td>
							<td class="ar nb vam">
								<span data-bind="hours:{val:hours, showNull:true}" class="label label-default h5"></span>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
		<div data-bind="with:tsDayDetails" id="popover-day" class="modal modal-lg">
			<div class="modal-dialog" data-bind="with:user">
				<div class="modal-content">
					<div class="modal-header" style="padding:10px 15px;">
						<img src="" data-bind="img:user_image, attr:{title:user_name}" class="img32x32 dib" />
						<h4 class="modal-title dib vam" data-bind="text:user_name"></h4>
						<h6 class="modal-title dib vam badge" data-bind="date:{date:$parent.date}"></h6>
						<h3 class="modal-title dib vam" data-bind="hours:{val:hours, showNull:true}" style="margin-left: 30px;"></h3>
						<div class="pull-right">
							<span class="dib icon-remove cp vam" data-bind="click:$root.close">&nbsp;</span>
						</div>
					</div><?php // style="max-height:300px; overflow:auto;" ?>
					<div class="modal-body npt">
						<?php $this->load->view('timesheet/team_views', array('view'=>0, 'popup'=>true)); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div id="month-body" style="display:none;"></div>
<div id="week-body" style="display:none;"></div>
<script type="text/html" id="day">
	<?php $this->load->view('timesheet/team_views', array('view'=>0, 'popup'=>false)); ?>
</script>
<script type="text/html" id="week">
	<?php $this->load->view('timesheet/team_views', array('view'=>1)); ?>
</script>
<script type="text/html" id="month">
	<?php $this->load->view('timesheet/team_views', array('view'=>2)); ?>
</script>
<?php $this->load->view('tasks/right_pane_script_tmpl'); ?>
