<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$is_ajax_request	= $this->input->is_ajax_request();

	if (!$is_ajax_request)
	{
		$this->load->view("header");
	}
?>

<div id="tsr-container" class="cutter-top">
	<div class="page-header-bar">
		<span class="title"><?php echo lang('TIME_SHEET_REVOKE'); ?></span>
		<div class="col-md-2 btn-group btn-toggle" style="margin-top:9px;z-index:10;"> 
			<button class="btn btn-sm btn-default" data-bind="click:swap_view"><?php echo lang('APPROVE'); ?></button>
			<button class="btn btn-sm btn-primary active" data-bind="click:swap_view"><?php echo lang('REVOKE'); ?></button>
		</div>
		<div class="row">
			<div id="alert_message" class="ac col-md-5 fix-it"></div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-5 col-md-offset-7">
			<div class="row searchBox">
				<?php if(!empty($projects)): ?>
				<div class="pull-right col-md-6">
					<select class="chosen-select" multiple="true" name="faculty" data-bind="selectedOptions:sel_projects, chosen:true">
						<option value="0"><?php echo lang('ALL_MY_PROJECTS'); ?></option>
					<?php foreach($projects as $key=>$value): ?>
						<option value="<?php echo $value['project_id']; ?>"><?php echo $value['project_code'].$value['project_name']; ?></option>
					<?php endforeach; ?>
					</select>
				</div>
				<?php endif; ?>
				<?php if(!empty($users)): ?>
				<div class="pull-right col-md-6">
					<select class="chosen-select" data-bind="value:sel_users, options:users, optionsValue:'user_id', optionsText:'first_name', chosen:{template:usersChosenTmpl}">
					<?php /* foreach($users as $key=>$value): ?>
						<option <?php echo ($value['user_id'] == $user_id) ? 'selected="selected"' : '' ?> value="<?php echo $value['user_id']; ?>"><?php echo $value['first_name']; ?></option>
					<?php endforeach; */ ?>
					</select>
				</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<span class="clearfix dib"></span>
	<div class="panel-group table-striped" id="accordion">
		<div class="panel panel-default">
			<div class="panel-heading npb">
				<?php /*
					<a class="accordion-toggle npt npb" data-toggle="collapse" data-parent="#accordion"  data-bind="attr:{href:'#'+$index()}">
						<span class="col-md-1 np icon icon-chevron-right nb cp db text-center" data-bind="click:$parent.loadTimeList, css:{'icon-chevron-right':is_open()==false, 'icon-chevron-down':is_open}"></span>
					</a>
				*/ ?>
				<div class="dib vat">
					<img data-bind="attr:{title:first_name}, img:user_image" class="img32x32 thumb-img" style="margin-right:8px;margin-bottom:8px;"/>
				</div>
				<div class="dib">
					<h5 style="margin:0px;"><!-- ko text:first_name --><!-- /ko -->	<!-- ko text:last_name --><!-- /ko --></h5>
					<!-- ko if:timesheetdays()>1 -->
						<span class="period"><!-- ko text:timesheetdays --><!-- /ko --> <?php echo lang('DAYS'); ?> (<!-- ko date:{date:from_date} --><!-- /ko --> - <!-- ko date:{date:to_date} --><!-- /ko -->)</span>
					<!-- /ko -->
					<!-- ko if:timesheetdays()==1 -->
						<span class="period" data-bind="date:{val:from_date}"></span>
					<!-- /ko -->
				</div>
			</div>
			<div class="panel-collapse">
				<div class="panel-body" data-bind="if:Object.keys(days()).length>0">
					<table class="table table-bordered">
						<colgroup>
							<col class="col-sm-3">
							<col class="col-sm-1">
							<col class="col-sm-1">
							<col class="col-sm-1">
							<col class="col-sm-1">
							<col class="col-sm-1">
							<col class="col-sm-1">
							<col class="col-sm-1">
							<col class="col-sm-1">
							<col class="col-sm-1">
						</colgroup>
						<thead>
							<tr class="active">
								<th class="vam nbr">
									<div class="ac dib fw vam">
										<div style="position:relative;" data-bind="attr:{title:_info.cd_format}" class="date-picker">
											<h5 style="padding:4px 6px;" class="pull-left nm"><!-- ko text:_info.nth_week --><!-- /ko --><sup><!-- ko text:(["st", "nd", "rd"][_info.nth_week()-1]||"th") --><!-- /ko --></sup> <?php echo lang('WEEK'); ?></h4>
											<input type="text" data-bind="value:_info.current_date, datepicker:true" class="input-sm dtpicker npl npr cp nm">
										</div>
										<br/>
										<span class="h1 vam dib" data-bind="hours:{val:tot_week_hours, showNull:true}"></span>
										<br/>
										<div class="btn-group vam dib" data-bind="if:tot_week_hours()-0>0">
											<a href="javascript:;" class="btn btn-success btn-xs" data-bind="click:$root.revoke_week" title="<?php echo lang('REVOKE_WEEK'); ?>">
												<?php echo lang('REVOKE_WEEK'); ?>
											</a>
										</div>
									</div>
								</th>
								<th class="ac vam nbl">
									<span data-bind="click:prev" title="Previous week" class="icon icon-chevron-left icon-large dib cp ac"></span>
								</th>
								<!-- ko foreach:Object.values(days()) -->
								<th class="text-center nbr nbb" data-bind="attr:{title:$root.getToolTipD($data)}, css:{'holyH':is_leave}" id="time_content_td">
									<a href="javascript:;">
										<span data-bind="text:day_name" class="day nm"></span>
										<span class="clearfix"></span>
										<span data-bind="text:day_value" class="date cp dib text-center"></span>
										<span class="clearfix"></span>
										<span class="dib label" data-bind="css:{'label-danger':is_leave,'label-default':!is_leave()}">
											<h5 data-bind="hours:{val:hours, showNull:true}" class="nm"></h5>
										</span>
										<span class="clearfix"></span>
										<div class="approve_reject">
											<span data-bind="click:$root.revokeDayEntry" class=""><?php echo lang('REVOKE'); ?></span>
										</div>
									</a>
								</th>
								<!-- /ko -->
								<th class="ac vam">
									<span data-bind="click:next" title="Next week" class="icon icon-chevron-right icon-large dib cp ac"></span>
								</th>
							</tr>
						</thead>
						<tbody data-bind="foreach:items">
							<tr>
								<td colspan="2" style="overflow:hidden;text-overflow:ellipsis" class="al">
									<span data-bind="text:project_task_name" class="h4 task_name wnw"></span>
									<br>
									<div class="dib fw">
										<span data-bind="text:project_code()+project_name()" class="gray np"></span>&nbsp;&nbsp;
										<span class="clearfix visible-xs"></span>
										<span data-bind="text:task_type_name" class="np"></span>
									</div>
								</td>
								<!-- ko foreach:Object.values($parent.days()) -->
								<td class="ac vam" data-bind="css:{'holyH':is_leave},hours:{val:$parent.hours_list()[entry_date]}"></td>
								<!-- /ko -->
								<td class="ac vam" data-bind="hours:{val:total_hours}"></td>
							</tr>
						</tbody>
					</table>
				</div>
				<div class="text-center" data-bind="if:items().length<=0 && show_nodata()==true">
					<span class="dib well"><?php echo lang('NO_DATA_FOUND'); ?></span>
				</div>
			</div>
		</div>
	</div>
</div>

<?php
	if (!$is_ajax_request)
	{
		$this->load->view("footer");
	}
?>
<script type="text/javascript">
$(document).ready(function(){
	Otime.TimeSheetRevoke.users	= <?php echo json_encode($users); ?>;
	Otime.TimeSheetRevoke.user_id	= <?php echo $user_id; ?>;
	window.Otime.load("TimeSheetRevoke");
});
</script>
