<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div id="calendar-setting" class="box col-md-4 col-sm-4 nm" data-bind="css:{edit_box:_info.is_edit_mode}">
	<div class="panel panel-primary nb">
		<div class="panel-heading dib fw" style="padding:5px 15px;">
			<h4 class="dib vam" style="margin-top:5px;"><?php echo lang('TITLE_CALENDAR'); ?></h4>
			<div class="pull-right" style="display:none" data-bind="visible:_info.is_edit_mode">
				<div class="btn-group">
					<button name="save" data-bind="click:save" class="btn btn-success btn-sm">
						<span class="icon-save icon-white"></span>&nbsp;<?php echo lang('SAVE'); ?>
					</button>
					<button name="cancel" data-bind="click:cancel" class="btn btn-primary btn-sm">
						<span class="icon-remove-sign icon-white"></span>
					</button>
				</div>
			</div>
			<div class="pull-right editbox" data-bind="hidden:_info.is_edit_mode">
				<button name="edit" class="btn btn-default btn-sm" data-bind="click:setEdit">
					<span class="icon-pencil"></span>&nbsp;<?php echo lang('EDIT'); ?>
				</button>
			</div>
			<div class="sep">&nbsp;</div>
		</div>
	</div>
	<div class="content" data-bind="hidden:_info.is_edit_mode, event:{dblClick:setEdit}">
		<div class="sub-title"><?php echo lang('WEEK_STARTS_ON'); ?></div>
		<hr class="list-group-item-heading">
		<small>
			<strong data-bind="text:_info.swoDisp"></strong>
		</small>
		<div class="sep">&nbsp;</div>
		<div class="sub-title"><?php echo lang('NON_WORKING_DAYS'); ?></div>
		<hr class="list-group-item-heading">
		<small>
			<strong data-bind="text:_info.nwdDisp"></strong>
		</small>
		<div class="sep">&nbsp;</div>
		<div class="sub-title"><?php echo lang('HOLIDAYS'); ?></div>
		<hr class="list-group-item-heading">
		<div data-bind="foreach:daysoff" class="fixed">
			<div class="row nml nmr np h6 gridData" data-bind="hidden:_info.isNew">
				<span class="col-md-4" data-bind="date:{date:dayoff_date, format:_info.dateDisp}"></span>
				<span class="col-md-8" data-bind="text:description"></span>
			</div>					
		</div>
		<div data-bind="hidden:daysoff().length>1">
			<span><?php echo lang('NO_HOLIDAYS_AVAILABLE'); ?></span>
		</div>
	
		<!-- ko if:skip_daysoff -->
		<div class="sep">&nbsp;</div>
		<div class="row np nm">
			<span class="icon-ok"></span>
			<small><?php echo lang('SKIP_NON_WORK_DAYS'); ?></small>
		</div>
		<!-- /ko -->
	</div>
	<div id="calendar-edit" data-bind="visible:_info.is_edit_mode"></div>
</div>