<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$is_ajax_request	= $this->input->is_ajax_request();

	if (!$is_ajax_request)
	{
		$this->load->view("header");
	}

if(!empty($err_msg))
	$msg = '<div class="alert alert-danger"><button type="button" class="close" data-dismiss="alert">&times;</button>' . $err_msg . '</div>';
if(!empty($success_msg))
	$msg = '<div class="alert alert-info"><button type="button" class="close pull-right" data-dismiss="alert">&times;</button>' . $success_msg . '</div>';
	

		$fields 	= array (
			'form_open' => array(
				'id'	=> 'reset-confirm',
				'name'	=> 'reset-confirm',
				'class'	=> 'form-resetpwd form-horizontal col-md-5 col-md-offset-4',
				'data-bind'	=> 'submit:onSubmit',
			),
			'email' => array(
				'id'	=> 'email',
				'class'	=> 'input loginEmail form-control',
				'name'	=> 'email',
				'value'	=> set_value('email'),
				'placeholder'	=> lang('EMAIL'),
				'data-bind'		=> 'value:email',
			)
		);
?>
<div id="reset-confirm-container" class="container">
	<div id="alert_message"><?php echo (!empty($msg)?$msg:''); ?></div>
	<?php echo form_open(null, $fields['form_open'] , $fields['hidden']); ?>
	<div class="sep">&nbsp;</div>
	<div class="row">
		<?php echo lang('FORGOT_DOMAIN_URL'); ?>
	</div>
	<div class="sep">&nbsp;</div>
	<br/>
	<div class="row">
		<div class="col-lg-12 np nm">
			<?php echo form_input($fields['email']);?>
		</div>
	</div>
	<div class="sep">&nbsp;</div>
	<br/>
	<div class="row">
		<div class="col-lg-12 ar np nm">
			<input type="submit" class="btn btn-success" value="<?php echo lang('SUBMIT'); ?>" />
		</div>
	</div>
	<?php echo form_close(); ?>
</div>
<script type="text/javascript">
	$(document).ready(function(){
		ko.applyBindings(new ForgotDomainConfirm(), $("#reset-confirm-container").get(0));
	});
</script>
<?php

	if (!$is_ajax_request)
	{
		$this->load->view("footer");
	}
?>
